org.gnome.pango

## Class Font

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.pango.Font

-     public abstract class Font
      extends Object

  An abstract rendering-system-independent representation of a font, used by Pango to manage font backends. While internal to Pango, it has various uses when trying to manage font selections.

  You get a Font object by calling Context's `loadFont()`.

  Since:
    4.0.19
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FontDescription` | `describe()` Given a calculated Pango Font object, get a description of it.
    `FontDescription` | `describeWithAbsoluteSize()` Given a calculated Pango Font object, get a description of it.

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### describe

          public FontDescription describe()

      Given a calculated Pango Font object, get a description of it. Size will be in points.
      Since:
        4.0.19

    - #### describeWithAbsoluteSize

          public FontDescription describeWithAbsoluteSize()

      Given a calculated Pango Font object, get a description of it. Size will be in device units.
      Since:
        4.0.19